# CfnDomainConfigurationProps

Properties for defining a `CfnDomainConfiguration`.

Extends: CfnDomainConfigurationProps
Used as props by: CfnDomainConfiguration

- Source: Generated code
- Type last changed: v2.162.0 · 10 Oct 2024

## Example

```ts
// The code below shows an example of how to instantiate this type.
// The values are placeholders you should change.
import { aws_iot as iot } from 'aws-cdk-lib';
const cfnDomainConfigurationProps: iot.CfnDomainConfigurationProps = {
  applicationProtocol: 'applicationProtocol',
  authenticationType: 'authenticationType',
  authorizerConfig: {
    allowAuthorizerOverride: false,
    defaultAuthorizerName: 'defaultAuthorizerName',
  },
  clientCertificateConfig: {
    clientCertificateCallbackArn: 'clientCertificateCallbackArn',
  },
  domainConfigurationName: 'domainConfigurationName',
  domainConfigurationStatus: 'domainConfigurationStatus',
  domainName: 'domainName',
  serverCertificateArns: ['serverCertificateArns'],
  serverCertificateConfig: {
    enableOcspCheck: false,
    ocspAuthorizedResponderArn: 'ocspAuthorizedResponderArn',
    ocspLambdaArn: 'ocspLambdaArn',
  },
  serviceType: 'serviceType',
  tags: [{
    key: 'key',
    value: 'value',
  }],
  tlsConfig: {
    securityPolicy: 'securityPolicy',
  },
  validationCertificateArn: 'validationCertificateArn',
};
```

## Properties

- `applicationProtocol`: string — An enumerated string that speciﬁes the application-layer protocol.

- `authenticationType`: string — An enumerated string that speciﬁes the authentication type.

- `authorizerConfig`: [IResolvable](/cdk/api/v2/docs/aws-cdk-lib.IResolvable.html) | [CfnDomainConfiguration.AuthorizerConfigProperty](/cdk/api/v2/docs/aws-cdk-lib.aws_iot.CfnDomainConfiguration.AuthorizerConfigProperty.html) — An object that specifies the authorization service for a domain.

- `clientCertificateConfig`: [IResolvable](/cdk/api/v2/docs/aws-cdk-lib.IResolvable.html) | [CfnDomainConfiguration.ClientCertificateConfigProperty](/cdk/api/v2/docs/aws-cdk-lib.aws_iot.CfnDomainConfiguration.ClientCertificateConfigProperty.html) — An object that speciﬁes the client certificate conﬁguration for a domain.

- `domainConfigurationName`: string — The name of the domain configuration.

  This value must be unique to a region.

- `domainConfigurationStatus`: string — The status to which the domain configuration should be updated.

  Valid values: `ENABLED` | `DISABLED`

- `domainName`: string — The name of the domain.

- `serverCertificateArns`: string[] — The ARNs of the certificates that AWS IoT passes to the device during the TLS handshake.

  Currently you can specify only one certificate ARN. This value is not required for AWS -managed domains.

- `serverCertificateConfig`: [IResolvable](/cdk/api/v2/docs/aws-cdk-lib.IResolvable.html) | [CfnDomainConfiguration.ServerCertificateConfigProperty](/cdk/api/v2/docs/aws-cdk-lib.aws_iot.CfnDomainConfiguration.ServerCertificateConfigProperty.html) — The server certificate configuration.

  For more information, see [Configurable endpoints](https://docs.aws.amazon.com//iot/latest/developerguide/iot-custom-endpoints-configurable.html) from the AWS IoT Core Developer Guide.

- `serviceType`: string — The type of service delivered by the endpoint.

  > AWS IoT Core currently supports only the `DATA` service type.

- `tags`: [CfnTag](/cdk/api/v2/docs/aws-cdk-lib.CfnTag.html)[] — Metadata which can be used to manage the domain configuration.

  > For URI Request parameters use format: ...key1=value1&key2=value2...
  >
  > For the CLI command-line parameter use format: &&tags "key1=value1&key2=value2..."
  >
  > For the cli-input-json file use format: "tags": "key1=value1&key2=value2..."

- `tlsConfig`: [IResolvable](/cdk/api/v2/docs/aws-cdk-lib.IResolvable.html) | [CfnDomainConfiguration.TlsConfigProperty](/cdk/api/v2/docs/aws-cdk-lib.aws_iot.CfnDomainConfiguration.TlsConfigProperty.html) — An object that specifies the TLS configuration for a domain.

- `validationCertificateArn`: string — The certificate used to validate the server certificate and prove domain name ownership.

  This certificate must be signed by a public certificate authority. This value is not required for AWS -managed domains.
